﻿using SushiBarDataModels.Models;

namespace SushiBarContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string ShopName { get; set; } = string.Empty;
        public string Address { get; set; } = string.Empty;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public Dictionary<int, (ISushiModel, int)> ShopSushi
        {
            get;
            set;
        } = new();
    }
}
